package org.project.entity;

public interface Entity {
    void lightAttack(Entity target);

    void heavyAttack(Entity target);

    void defend();

    void heal(int health);

    void takeDamage(int damage, Entity attacker);

    void fillHealth(int health);

    void fillStamina(int stamina);

    boolean spendStamina(int cost);

    boolean isAlive();

    boolean isDefending();

    boolean isStunned();

    void setStunned(boolean status);

    String getName();

    int getHP();

    int getMaxHP();

    int getStamina();

    int getMaxStamina();
}
